# VecStrideMaxAll

Computes the maximums of subvectors of a vector defined by a starting point and a stride and optionally its location.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecStrideMaxAll(Vec v,PetscInt *idex,PetscReal *nrm)

Collective on Vec

### Input Parameter

v -the vector

### Output Parameter

| index | - the location where the maximum occurred (not supported, pass PETSC_NULL, if you need this, send mail to petsc-maint@mcs.anl.gov to request it)
| nrm | - the maximums

### Notes

One must call VecSetBlockSize() before this routine to set the stride information, or use a vector created from a multicomponent DA.

This is useful for computing, say the maximum of the pressure variable when the pressure is stored (interlaced) with other variables, e.g., density, etc. This will only work if the desire subvector is a stride subvector.

### See Also

VecMax(), VecStrideNorm(), VecStrideGather(), VecStrideScatter(), VecStrideMin()

Level:advanced
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages